#ifndef __World_h_
#define __World_h_

#include "OgreVector3.h"


namespace Ogre {
    class SceneNode;
    class SceneManager;
}

class MovingObject;
class InputHandler;


class World
{
public:
	
    World(Ogre::SceneManager *sceneManager, InputHandler *ih);

    // You'll want various methods to access & change your world here
    
    void Think(float time);
    
	void Setup();

protected:
	 
    void UpdateCrosshairFromKeyboard(float time);

    Ogre::SceneManager *mSceneManager; 

    MovingObject *mObj1;
    MovingObject *mObj2;
    MovingObject *mObj3;

    MovingObject *mCrossHair;

    InputHandler *mInputHandler;

};


#endif